Summary:	Garmin Communicator Plugin port for Linux
Name:		firefox-garminplugin
Version:	0.3.17
Release:	%mkrel 2
License:	GPLv2+
Group:		Networking/WWW
URL:		http://www.andreas-diesner.de/garminplugin/
# this is really a git snapshot (git clone git://github.com/adiesner/GarminPlugin.git)
Source0:	http://github.com/adiesner/GarminPlugin/GarminPlugin-%{version}.tar.gz
Patch0:		GarminPlugin-0.3.17-version_fix.diff
BuildRequires:	autoconf automake libtool
BuildRequires:	tinyxml-devel
BuildRequires:	garmintools-devel
BuildRequires:	libusb-devel
BuildRequires:	zlib-devel
BuildRequires:	libgcrypt-devel
BuildRequires:	firefox-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This browser plugin has the same methods and properties as the official 
Garmin Communicator Plugin (http://www8.garmin.com/products/communicator/).
It can be used to transfer GPX files (Geocache Descriptions) to your garmin
device using the official Garmin Javascript API. Its functionality depends on
the device you use. 
- Edge305/Forerunner305: ReadFitnessData, ReadGpsData, No write support
- Edge705/Oregon/Dakota: ReadFitnessData, ReadGpsData, Write Gpx files
- Edge800: ReadFitnessData, Write Gpx/Tcx Files
- Other devices: Executes external command to write Gpx to device

%prep

%setup -q -n GarminPlugin-%{version}
%patch0 -p0

%build
pushd src
autoreconf -fi
%configure2_5x \
    --with-ticpp-libdir=%{_libdir} \
    --with-ticpp-incdir=%{_includedir} \
    --with-garmintools-incdir=%{_includedir} \
    --with-garmintools-libdir=%{_libdir}

%make
popd

%install
rm -rf %{buildroot}

install -d %{buildroot}%{firefox_pluginsdir}
install -m0755 src/npGarminPlugin.so %{buildroot}%{firefox_pluginsdir}/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{firefox_pluginsdir}/npGarminPlugin.so



%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.3.17-2.mga4
+ Revision: 522325
- Mageia 4 Mass Rebuild

* Tue Feb 19 2013 oden <oden> 0.3.17-1.mga3
+ Revision: 399400
- imported package firefox-garminplugin


* Tue Feb 19 2013 Oden Eriksson <oeriksson@mandriva.com> 0.3.17-1.mga2
- initial Mageia package
